## nvidia-graphics-drivers-tegra 12~beta1

=== debian/changelog ===
nvidia-graphics-drivers-tegra (12~beta1-1ubuntu2) precise; urgency=low

  * debian/control: Build depend on xserver-xorg-dev and bzip2

 -- Jani Monoses <jani@ubuntu.com>  Fri, 03 Feb 2012 23:45:15 +0200

nvidia-graphics-drivers-tegra (12~beta1-1ubuntu1) precise; urgency=low

  * Clean up packaging.
   - switch to 3.0(quilt) format
   - switch to dh from cdbs
   - drop x86/amd64 and other unused parts from rules file
   - add package description
  * Use the same alternatives link name for EGL as Mesa does. (LP: #911192)

 -- Jani Monoses <jani@ubuntu.com>  Fri, 03 Feb 2012 20:00:44 +0200

nvidia-graphics-drivers-tegra (12~beta1-0ubuntu3) precise; urgency=low

  [ Christopher James Halse Rogers ]
  * Rebuild against new Xserver 1.11

 -- Jani Monoses <jani@ubuntu.com>  Mon, 30 Jan 2012 15:27:31 +0200

nvidia-graphics-drivers-tegra (12~beta1-0ubuntu2) precise; urgency=low

  * debian/61-tegra-gpu.conf: Do not disable glx. Even if fully accelerated
    OpenGL is unavailable, glx is useful by itself.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 09 Jan 2012 16:38:16 +0200

nvidia-graphics-drivers-tegra (12~beta1-0ubuntu1) precise; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Updated to the latest Beta binary drivers from Nvidia (R12.BETA).
  * videoabiver and inputabiver are deprecated, using videodrvdep and xinputdep instead.
  * libasound dependency required by new libnvomx.so.
  * Release package for oneiric.

  [ Oliver Grawert ]
  * re-version the PPA package and release into precise restricted

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 14 Dec 2011 18:01:53 +0100

nvidia-graphics-drivers-tegra (12-0ubuntu1~alpha1monson6) natty; urgency=low

  * sigh, and build for the right release, oneiric doesnt work yet ...

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 05 Jul 2011 17:55:42 +0200

nvidia-graphics-drivers-tegra (12-0ubuntu1~alpha1monson5) natty; urgency=low

  * also fix the postinst.in file, else teh binary package does not pick up the change

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 05 Jul 2011 17:32:47 +0200

nvidia-graphics-drivers-tegra (12-0ubuntu1~alpha1monson4) natty; urgency=low

  * make sure the alternative for tegra_dev.so lands in /usr/lib/xorg/modules/drivers/

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 05 Jul 2011 16:42:24 +0200

nvidia-graphics-drivers-tegra (12-0ubuntu1~alpha1monson3) natty; urgency=low

  * Set the right permissions on nvmap and on tegra device nodes.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 05 Jul 2011 12:34:43 +0200

nvidia-graphics-drivers-tegra (12-0ubuntu1~alpha1monson2) natty; urgency=low

  * Drop dependency on acpid.
  * Put back in nvidia-tegra.postinst.in, debian/nvidia-tegra.postrm.in,
    debian/nvidia-tegra.prerm.in.
  * Install the binaries in the driver directory.
  * Make sure to regenerate nvidia-tegra.postinst, debian/nvidia-tegra.postrm,
    debian/nvidia-tegra.prerm.
  * Install xorg.conf as a slave link and the libraries in their own directory.
  * Make sure to install the ld.so.conf.
  * Correct driver path.
  * Add debian/69-tegra-gpu.rules.
  * Install udev rule.
  * Remove argument for x86 from shlibdeps.
  * Set the alternative priority to 9000.
  * Drop Conflicts Replace Provide GL stuff.
  * Make sure to install the udev rules in the right path.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 Jul 2011 13:54:36 +0200

nvidia-graphics-drivers-tegra (12-0ubuntu1~alpha1monson1) natty; urgency=low

  * Remove the docs file until upstream provides actual docs.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 30 Jun 2011 12:26:05 +0100

nvidia-graphics-drivers-tegra (12-0ubuntu1~alpha1) natty; urgency=low

  * First release based on the nvidia-current packaging scripts.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jun 2011 18:05:27 +0100
