## nvidia-graphics-drivers-tegra 12~beta1-0ubuntu2

=== debian/control ===
Source: nvidia-graphics-drivers-tegra
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 6.0.7~), sed (>> 3.0), libxext6, bzip2,
 xserver-xorg-dev (>= 2:1.4), execstack, cdbs, libc6, libasound2
Standards-Version: 3.8.0
Vcs-Git: git://github.com/tseliot/nvidia-graphics-drivers-tegra.git
Vcs-Browser: http://github.com/tseliot/nvidia-graphics-drivers-tegra

Package: nvidia-tegra
Architecture: armel
Depends: x11-common (>= 1:7.0.0), make, sed (>> 3.0), libasound2,
 ${shlibs:Depends}, ${xviddriver:Depends}
Provides: ${xviddriver:Provides}
Description: NVIDIA binary Xorg driver for Tegra GPUs.
