## nvidia-graphics-drivers-tegra 15~beta1

=== debian/changelog ===
nvidia-graphics-drivers-tegra (15~beta1-0ubuntu3) quantal; urgency=low

  * no-change rebuild to pick up new xorg ABI

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 17 Jul 2012 15:00:45 +0200

nvidia-graphics-drivers-tegra (15~beta1-0ubuntu2) quantal; urgency=low

  * fix firmware install location
  * add armhf support to postinst script
  * do not strip the binary driver

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Jun 2012 14:59:16 +0200

nvidia-graphics-drivers-tegra (15~beta1-0ubuntu1) quantal; urgency=low

  * update to 15~beta1 release which supports the hardfloat ABI
  * build for armhf only

 --  <ogra@ubuntu.com>  Thu, 21 Jun 2012 12:32:12 +0200

nvidia-graphics-drivers-tegra (12~beta1-1ubuntu3) precise; urgency=low

  * debian/control: Build depend on libxext6 and libasound2

 -- Jani Monoses <jani@ubuntu.com>  Sat, 04 Feb 2012 00:37:14 +0200
