=== debian/control ===
Source: nvidia-graphics-drivers-tegra
Section: x11
Priority: optional
Maintainer: Jani Monoses <jani@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), execstack, xserver-xorg-dev, bzip2,
 libxext6, libasound2
Standards-Version: 3.9.2

Package: nvidia-tegra
Architecture: armhf
Depends: ${shlibs:Depends}, ${xviddriver:Depends}, ${misc:Depends}
Provides: ${xviddriver:Provides}
Description: NVIDIA binary Xorg driver for Tegra GPUs.
 This package contains the proprietary firmware and drivers
 needed to run hardware accelerated Open GLES 2.0 under X11
 on NVIDIA Tegra2 based hardware.
