## nvidia-graphics-drivers-tegra 16.2.0

=== debian/changelog ===
nvidia-graphics-drivers-tegra (16.2.0-0ubuntu3) quantal; urgency=low

  * re-add .links file so we are backwards compatible for apps that were
    linked against the broken SONAMEs in the former release

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 16 Oct 2012 14:48:58 +0200

nvidia-graphics-drivers-tegra (16.2.0-0ubuntu2) quantal; urgency=low

  * be more explicit about the dh_shlibdeps serach path for fix FTBFS

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 12 Oct 2012 13:20:15 +0200

nvidia-graphics-drivers-tegra (16.2.0-0ubuntu1) quantal; urgency=low

  * Upstream bugfix release that fixes the borken SONAME headers in the 
    GLES libraries
  * drop the .links file

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 12 Oct 2012 02:00:28 +0200

nvidia-graphics-drivers-tegra (16.0-0ubuntu1) quantal; urgency=low

  * update to nvidia-tegra R16 release which adds xorg ABI 13 support
  * update configuration files to match the new driver release
  (LP: #1059528)
  * add proper dependency on the Xorg ABI version in debian/control
  * due to a breakage in nvidias build system the GLES libraries have broken
    SONAME headers, thus the GLES acceleration does not work in this package
    (the driver still provides 2D acceleration, the libs will get updated in an 
    SRU as soon as nvidia releases a fix) a manual workaround for this issue is
    documented at the above mentioned launchpad bug

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 01 Oct 2012 13:21:42 +0200

nvidia-graphics-drivers-tegra (15.1.0-0ubuntu1) quantal; urgency=low

  * new upstream release (R15.1.0 final)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 18 Jul 2012 13:02:17 +0200
