=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
 
 Package: nvidia-tegra
 Architecture: armhf
-Depends: ${shlibs:Depends}, ${xviddriver:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${xviddriver:Depends}, ${misc:Depends}, xorg-video-abi-13
 Provides: ${xviddriver:Provides}
-Description: NVIDIA binary Xorg driver for Tegra GPUs.
+Conflicts: nvidia-tegra3
+Description: NVIDIA binary Xorg driver for Tegra2 (ventana) GPUs.
  This package contains the proprietary firmware and drivers
  needed to run hardware accelerated Open GLES 2.0 under X11
- on NVIDIA Tegra2 based hardware.
+ on NVIDIA Tegra2 (ventana) based hardware.
