=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	find $((EXTRACTDIR) -name *.so* | xargs -n1 execstack -c || true
 	echo "/usr/lib/nvidia-tegra" > $(EXTRACTDIR)/usr/lib/ld.so.conf
 
+override_dh_shlibdeps:
+	dh_shlibdeps -l/usr/lib/nvidia-tegra
+
 override_dh_auto_clean:
 	rm -Rf $(EXTRACTDIR)
