## nvidia-graphics-drivers-tegra 16.3

=== debian/changelog ===
nvidia-graphics-drivers-tegra (16.3-0ubuntu2) saucy; urgency=low

  * debian/69-tegra-gpu.rules:
    - Replace udev-acl with uaccess to fix permissions on
      Saucy. Thanks to Maarten Lankhorst for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 18 Jul 2013 11:30:37 +0200

nvidia-graphics-drivers-tegra (16.3-0ubuntu1) saucy; urgency=low

  * debian/control:
    - Depend on X ABI 14.
  * debian/rules:
    - Add workaround for renamed tegra_drv.so in the upstream
      tarball.
  * New upstream release:
    - Bluetooth Keyboard and Mouse Support.
    - U-Boot is officially supported.
    - This is the final release supporting Ventana. T20 support
      will not be included in future releases.
    - Fixed issues:
      + [1209618] Hotplug of OTG-MSD cable from USB1 port causes
        null pointer dereference resulting in system crash.
      + [1212505] Resume from Deep Sleep (LP0) fails on devices
        using the U-Boot bootloader with corrupted output to the
        UART console.
      + [1214802] Resume from Deep Sleep (LP0) fails on devices
        in usb_device_mode.
      + [1204024] Devices with the Broadcom BCM4329 Wi-Fi device
        hang when running iwconfig.
      + [1205910] Wi-Fi stability issues in devices with the
        Broadcom BCM4330 Wi-Fi device.
      + [1166008] HDMI panel as primary display has output
        corrupted on boot.
      + [1178367] FB_console display shows two cloned vertical
        halves after booting with U-Boot boot loader.
      + Kernel and U-Boot stability issues.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 04 Jul 2013 19:42:02 +0200
