=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: nvidia-tegra
 Architecture: armhf
-Depends: ${shlibs:Depends}, ${xviddriver:Depends}, ${misc:Depends}, xorg-video-abi-13
+Depends: ${shlibs:Depends}, ${xviddriver:Depends}, ${misc:Depends}, xorg-video-abi-14
 Provides: ${xviddriver:Provides}
 Conflicts: nvidia-tegra3
 Description: NVIDIA binary Xorg driver for Tegra2 (ventana) GPUs.
