=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 	tar -C $(EXTRACTDIR) -xjf $(XTARBALL)
 	tar -C $(EXTRACTDIR) -xzf $(FSTARBALL)
 	#Move tegra_drv.so to another path
+	if [ ! -f $(D)/drivers/tegra_drv.so ] && [ -f $(D)/drivers/tegra_*.so ]; then \
+		mv $(D)/drivers/tegra_*.so $(D)/drivers/tegra_drv.so; \
+	fi
 	mv $(D)/drivers/tegra_drv.so $(EXTRACTDIR)/usr/lib/xorg/
 	rm -Rf $(D)
 	find $((EXTRACTDIR) -name *.so* | xargs -n1 execstack -c || true
